Updates the Outbound EDI Transaction Processing Status, and relays error messages back to the Revenova TMS

Prev
Patch
/services/apexrest/rtms/ediService

PATCH endpoint for updating the processing status of outbound EDI Transactions. By default, the system assumes successful processing for an outbound message, unless autoMarkAsSuccess is passed into the GET endpoint. Call the PATCH endpoint to keep the transaction status up-to-date with actual processing status. If there is a failure in processing seen by the EDI Provider, the PATCH endpoint marks the EDI transaction with a required failure message.

Security
OAuth

OAuth 2.0 Client Credentials flow for server-to-server communication.

FlowClient Credentials
Token URL/services/oauth2/token
Body parameters
Array of object
object
ediTransactionId
string Required
Examplea19E2000005sxOPIAY
status
string Required
Valid values[ "Pending", "Success", "Failure" ]
ExampleFailure
failureMessage
string
ExampleDeserialization Error - invalid field shipmentId
Responses
204

Valid authentication, valid patch requests, no errors

400

Patch operation payload does not pass validation

ediTransactionRequired

EDI Transaction ID is required

"Bad request: EDI Transaction is required"
unsupportedStatus

Status is not one of the available options we support

"Bad request: Status provided \"\" is not a supported EDI Transaction Status (Pending, Success, Failure)"
badPayload

Payload does not match expected request model

"Bad request: Could not deserialize request"
string
401

Unauthorized credentials. Provided by Salesforce.

object
message
string

Description of the error

ExampleSession expired or invalid
errorcode
string

Unique ID for the error

ExampleINVALID_SESSION_ID
403

Forbidden User.

object
message
string

Description of the error

ExampleYou do not have access to the Apex class named: EDIService
errorcode
string

Unique ID for the error

ExampleFORBIDDEN
invalidContextUser

The context user set up in the connected app doesn't match any of the edi provider context users in TMS Admin, check setup.

"Forbidden: Invalid EDI Context User"
nonMatchingProvider

The edi transaction whose status is attempted to be patched is not for the provider identified in authentication

"Forbidden: EDI Transaction  does not match provider"
string
500

Catchall for any unexpected errors encountered when trying to queue edi events

string
ExampleInternal Server Error
503

EDI Rest API isn't enabled in TMS Admin

string
ExampleService Unavailable: Rest API not enabled for EDI in TMS Admin